path: /build/build/macaroni-funtoo-race1-seed-0.20250403.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && chmod a+x
    /var && chmod a+rwx /tmp
  - luet install virtual-entities/base --force
  - luet install --force system/luet-devkit utils/jq utils/yq app-admin/macaronictl
    dev-util/pkgs-checker-minimal kernel/macaroni-lts-sources && eselect kernel set
    1 && luet repo update && luet upgrade && luet install --force toolchain/base-extra
    && luet cleanup
  - cat /etc/luet/luet.yaml && luet install virtual/base --nodeps && /usr/bin/gcc-config
    1 && source /etc/profile && eselect gcc set 1 && mkdir -p /var/lib/portage &&
    epro list && eval 'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome
    /etc/localtime && macaronictl env-update && eval 'locale-gen || true' && cd /
    && rm -rf /luetbuild && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race1
    version: "0.20250403"
    category: seed
    hidden: true
    buildtimestamp: 2025-04-03 09:51:21.87561651 +0000 UTC m=+834.467775162
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:0145efeda573a028201a1b5446283461cb54627a3f0117204b034aa79f58806b
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race1
  version: "0.20250403"
  category: seed
  hidden: true
